searchData={"content_type":"text/markdown","items":[{"doc":"Documentation for `ArkeAuth`.","ref":"ArkeAuth.html","title":"ArkeAuth","type":"module"},{"doc":"Module to manage all the validatos for `ArkeAuth`","ref":"ArkeAuth.Boundary.Validators.html","title":"ArkeAuth.Boundary.Validators","type":"module"},{"doc":"","ref":"ArkeAuth.Boundary.Validators.html#check_user_password/1","title":"ArkeAuth.Boundary.Validators.check_user_password/1","type":"function"},{"doc":"`ArkeAuth.Core.Auth` documentation","ref":"ArkeAuth.Core.Auth.html","title":"ArkeAuth.Core.Auth","type":"module"},{"doc":"Change the user password","ref":"ArkeAuth.Core.Auth.html#change_password/3","title":"ArkeAuth.Core.Auth.change_password/3","type":"function"},{"doc":"- user => %Arke.Core.Unit{} => the unit struct representing the user\n  - old_pwd => string => the old password\n  - new_pwd => string => the new password","ref":"ArkeAuth.Core.Auth.html#change_password/3-parameter","title":"Parameter - ArkeAuth.Core.Auth.change_password/3","type":"function"},{"doc":"{:ok, %Arke.Core.Unit{}}\n    {:error, msg}","ref":"ArkeAuth.Core.Auth.html#change_password/3-return","title":"Return - ArkeAuth.Core.Auth.change_password/3","type":"function"},{"doc":"","ref":"ArkeAuth.Core.Auth.html#create_tokens/2","title":"ArkeAuth.Core.Auth.create_tokens/2","type":"function"},{"doc":"","ref":"ArkeAuth.Core.Auth.html#format_member/1","title":"ArkeAuth.Core.Auth.format_member/1","type":"function"},{"doc":"","ref":"ArkeAuth.Core.Auth.html#get_project_member/2","title":"ArkeAuth.Core.Auth.get_project_member/2","type":"function"},{"doc":"Create new access_token and refresh_token exchanging the user refresh token","ref":"ArkeAuth.Core.Auth.html#refresh_tokens/2","title":"ArkeAuth.Core.Auth.refresh_tokens/2","type":"function"},{"doc":"- user => %Arke.Core.Unit{} => the unit struct representing the user\n  - token => the refresh_token to exchange","ref":"ArkeAuth.Core.Auth.html#refresh_tokens/2-parameter","title":"Parameter - ArkeAuth.Core.Auth.refresh_tokens/2","type":"function"},{"doc":"{:ok, access_token, refresh_token}\n    {:error, msg}","ref":"ArkeAuth.Core.Auth.html#refresh_tokens/2-returns","title":"Returns - ArkeAuth.Core.Auth.refresh_tokens/2","type":"function"},{"doc":"Update the user data","ref":"ArkeAuth.Core.Auth.html#update/2","title":"ArkeAuth.Core.Auth.update/2","type":"function"},{"doc":"- user => %Arke.Core.Unit{} => the user to update\n  - data => %map => map containing all the data to update","ref":"ArkeAuth.Core.Auth.html#update/2-parameters","title":"Parameters - ArkeAuth.Core.Auth.update/2","type":"function"},{"doc":"iex> params = [username: \"test\", password: \"password\", type: \"customer\"]\n    ...> user = Arke.QuseryManager.get_by(id: \"test\")\n    ...> ArkeAuth.Core.update(user, params)","ref":"ArkeAuth.Core.Auth.html#update/2-example","title":"Example - ArkeAuth.Core.Auth.update/2","type":"function"},{"doc":"{:ok, %Arke.Core.Unit{}}\n    {:error, msg}","ref":"ArkeAuth.Core.Auth.html#update/2-return","title":"Return - ArkeAuth.Core.Auth.update/2","type":"function"},{"doc":"Implementation for the login. It verify the given username and password","ref":"ArkeAuth.Core.Auth.html#validate_credentials/3","title":"ArkeAuth.Core.Auth.validate_credentials/3","type":"function"},{"doc":"- username => string => user's username\n  - password => string => user's password","ref":"ArkeAuth.Core.Auth.html#validate_credentials/3-parameters","title":"Parameters - ArkeAuth.Core.Auth.validate_credentials/3","type":"function"},{"doc":"iex> ArkeAuth.Core.validate_credentials(\"test\", \"password_test\")","ref":"ArkeAuth.Core.Auth.html#validate_credentials/3-example","title":"Example - ArkeAuth.Core.Auth.validate_credentials/3","type":"function"},{"doc":"{:ok, %ArkeAuth.Core.User{}}","ref":"ArkeAuth.Core.Auth.html#validate_credentials/3-return","title":"Return - ArkeAuth.Core.Auth.validate_credentials/3","type":"function"},{"doc":"Documentation for `Member`.","ref":"ArkeAuth.Core.Member.html","title":"ArkeAuth.Core.Member","type":"module"},{"doc":"","ref":"ArkeAuth.Core.Member.html#before_unit_create/2","title":"ArkeAuth.Core.Member.before_unit_create/2","type":"function"},{"doc":"","ref":"ArkeAuth.Core.Member.html#before_unit_delete/2","title":"ArkeAuth.Core.Member.before_unit_delete/2","type":"function"},{"doc":"","ref":"ArkeAuth.Core.Member.html#before_unit_load/3","title":"ArkeAuth.Core.Member.before_unit_load/3","type":"function"},{"doc":"","ref":"ArkeAuth.Core.Member.html#before_unit_update/2","title":"ArkeAuth.Core.Member.before_unit_update/2","type":"function"},{"doc":"","ref":"ArkeAuth.Core.Member.html#before_unit_validate/2","title":"ArkeAuth.Core.Member.before_unit_validate/2","type":"function"},{"doc":"","ref":"ArkeAuth.Core.Member.html#group_from_attr/0","title":"ArkeAuth.Core.Member.group_from_attr/0","type":"function"},{"doc":"","ref":"ArkeAuth.Core.Member.html#is_group?/0","title":"ArkeAuth.Core.Member.is_group?/0","type":"function"},{"doc":"","ref":"ArkeAuth.Core.Member.html#on_unit_create/2","title":"ArkeAuth.Core.Member.on_unit_create/2","type":"function"},{"doc":"","ref":"ArkeAuth.Core.Member.html#on_unit_delete/2","title":"ArkeAuth.Core.Member.on_unit_delete/2","type":"function"},{"doc":"","ref":"ArkeAuth.Core.Member.html#on_unit_load/3","title":"ArkeAuth.Core.Member.on_unit_load/3","type":"function"},{"doc":"","ref":"ArkeAuth.Core.Member.html#on_unit_struct_encode/2","title":"ArkeAuth.Core.Member.on_unit_struct_encode/2","type":"function"},{"doc":"","ref":"ArkeAuth.Core.Member.html#on_unit_update/2","title":"ArkeAuth.Core.Member.on_unit_update/2","type":"function"},{"doc":"","ref":"ArkeAuth.Core.Member.html#on_unit_validate/2","title":"ArkeAuth.Core.Member.on_unit_validate/2","type":"function"},{"doc":"Documentation for `Otp`.","ref":"ArkeAuth.Core.Otp.html","title":"ArkeAuth.Core.Otp","type":"module"},{"doc":"","ref":"ArkeAuth.Core.Otp.html#after_get_struct/2","title":"ArkeAuth.Core.Otp.after_get_struct/2","type":"function"},{"doc":"","ref":"ArkeAuth.Core.Otp.html#after_get_struct/3","title":"ArkeAuth.Core.Otp.after_get_struct/3","type":"function"},{"doc":"","ref":"ArkeAuth.Core.Otp.html#arke_from_attr/0","title":"ArkeAuth.Core.Otp.arke_from_attr/0","type":"function"},{"doc":"","ref":"ArkeAuth.Core.Otp.html#base_parameters/0","title":"ArkeAuth.Core.Otp.base_parameters/0","type":"function"},{"doc":"","ref":"ArkeAuth.Core.Otp.html#before_create/2","title":"ArkeAuth.Core.Otp.before_create/2","type":"function"},{"doc":"","ref":"ArkeAuth.Core.Otp.html#before_delete/2","title":"ArkeAuth.Core.Otp.before_delete/2","type":"function"},{"doc":"","ref":"ArkeAuth.Core.Otp.html#before_load/2","title":"ArkeAuth.Core.Otp.before_load/2","type":"function"},{"doc":"","ref":"ArkeAuth.Core.Otp.html#before_struct_encode/2","title":"ArkeAuth.Core.Otp.before_struct_encode/2","type":"function"},{"doc":"","ref":"ArkeAuth.Core.Otp.html#before_update/2","title":"ArkeAuth.Core.Otp.before_update/2","type":"function"},{"doc":"","ref":"ArkeAuth.Core.Otp.html#before_validate/2","title":"ArkeAuth.Core.Otp.before_validate/2","type":"function"},{"doc":"","ref":"ArkeAuth.Core.Otp.html#generate/4","title":"ArkeAuth.Core.Otp.generate/4","type":"function"},{"doc":"","ref":"ArkeAuth.Core.Otp.html#groups_from_attr/0","title":"ArkeAuth.Core.Otp.groups_from_attr/0","type":"function"},{"doc":"","ref":"ArkeAuth.Core.Otp.html#import/1","title":"ArkeAuth.Core.Otp.import/1","type":"function"},{"doc":"","ref":"ArkeAuth.Core.Otp.html#on_create/2","title":"ArkeAuth.Core.Otp.on_create/2","type":"function"},{"doc":"","ref":"ArkeAuth.Core.Otp.html#on_delete/2","title":"ArkeAuth.Core.Otp.on_delete/2","type":"function"},{"doc":"","ref":"ArkeAuth.Core.Otp.html#on_load/2","title":"ArkeAuth.Core.Otp.on_load/2","type":"function"},{"doc":"","ref":"ArkeAuth.Core.Otp.html#on_struct_encode/4","title":"ArkeAuth.Core.Otp.on_struct_encode/4","type":"function"},{"doc":"","ref":"ArkeAuth.Core.Otp.html#on_update/3","title":"ArkeAuth.Core.Otp.on_update/3","type":"function"},{"doc":"","ref":"ArkeAuth.Core.Otp.html#on_validate/2","title":"ArkeAuth.Core.Otp.on_validate/2","type":"function"},{"doc":"","ref":"ArkeAuth.Core.Otp.html#parse_otp_id/2","title":"ArkeAuth.Core.Otp.parse_otp_id/2","type":"function"},{"doc":"Documentation for `TemporaryToken`.","ref":"ArkeAuth.Core.TemporaryToken.html","title":"ArkeAuth.Core.TemporaryToken","type":"module"},{"doc":"","ref":"ArkeAuth.Core.TemporaryToken.html#after_get_struct/2","title":"ArkeAuth.Core.TemporaryToken.after_get_struct/2","type":"function"},{"doc":"","ref":"ArkeAuth.Core.TemporaryToken.html#after_get_struct/3","title":"ArkeAuth.Core.TemporaryToken.after_get_struct/3","type":"function"},{"doc":"","ref":"ArkeAuth.Core.TemporaryToken.html#arke_from_attr/0","title":"ArkeAuth.Core.TemporaryToken.arke_from_attr/0","type":"function"},{"doc":"","ref":"ArkeAuth.Core.TemporaryToken.html#base_parameters/0","title":"ArkeAuth.Core.TemporaryToken.base_parameters/0","type":"function"},{"doc":"","ref":"ArkeAuth.Core.TemporaryToken.html#before_create/2","title":"ArkeAuth.Core.TemporaryToken.before_create/2","type":"function"},{"doc":"","ref":"ArkeAuth.Core.TemporaryToken.html#before_delete/2","title":"ArkeAuth.Core.TemporaryToken.before_delete/2","type":"function"},{"doc":"","ref":"ArkeAuth.Core.TemporaryToken.html#before_load/2","title":"ArkeAuth.Core.TemporaryToken.before_load/2","type":"function"},{"doc":"","ref":"ArkeAuth.Core.TemporaryToken.html#before_struct_encode/2","title":"ArkeAuth.Core.TemporaryToken.before_struct_encode/2","type":"function"},{"doc":"","ref":"ArkeAuth.Core.TemporaryToken.html#before_update/2","title":"ArkeAuth.Core.TemporaryToken.before_update/2","type":"function"},{"doc":"","ref":"ArkeAuth.Core.TemporaryToken.html#before_validate/2","title":"ArkeAuth.Core.TemporaryToken.before_validate/2","type":"function"},{"doc":"","ref":"ArkeAuth.Core.TemporaryToken.html#generate_auth_token/5","title":"ArkeAuth.Core.TemporaryToken.generate_auth_token/5","type":"function"},{"doc":"","ref":"ArkeAuth.Core.TemporaryToken.html#generate_token/4","title":"ArkeAuth.Core.TemporaryToken.generate_token/4","type":"function"},{"doc":"","ref":"ArkeAuth.Core.TemporaryToken.html#groups_from_attr/0","title":"ArkeAuth.Core.TemporaryToken.groups_from_attr/0","type":"function"},{"doc":"","ref":"ArkeAuth.Core.TemporaryToken.html#import/1","title":"ArkeAuth.Core.TemporaryToken.import/1","type":"function"},{"doc":"","ref":"ArkeAuth.Core.TemporaryToken.html#on_create/2","title":"ArkeAuth.Core.TemporaryToken.on_create/2","type":"function"},{"doc":"","ref":"ArkeAuth.Core.TemporaryToken.html#on_delete/2","title":"ArkeAuth.Core.TemporaryToken.on_delete/2","type":"function"},{"doc":"","ref":"ArkeAuth.Core.TemporaryToken.html#on_load/2","title":"ArkeAuth.Core.TemporaryToken.on_load/2","type":"function"},{"doc":"","ref":"ArkeAuth.Core.TemporaryToken.html#on_struct_encode/4","title":"ArkeAuth.Core.TemporaryToken.on_struct_encode/4","type":"function"},{"doc":"","ref":"ArkeAuth.Core.TemporaryToken.html#on_update/3","title":"ArkeAuth.Core.TemporaryToken.on_update/3","type":"function"},{"doc":"","ref":"ArkeAuth.Core.TemporaryToken.html#on_validate/2","title":"ArkeAuth.Core.TemporaryToken.on_validate/2","type":"function"},{"doc":"Documentation for `User`.","ref":"ArkeAuth.Core.User.html","title":"ArkeAuth.Core.User","type":"module"},{"doc":"","ref":"ArkeAuth.Core.User.html#after_get_struct/2","title":"ArkeAuth.Core.User.after_get_struct/2","type":"function"},{"doc":"","ref":"ArkeAuth.Core.User.html#after_get_struct/3","title":"ArkeAuth.Core.User.after_get_struct/3","type":"function"},{"doc":"","ref":"ArkeAuth.Core.User.html#arke_from_attr/0","title":"ArkeAuth.Core.User.arke_from_attr/0","type":"function"},{"doc":"","ref":"ArkeAuth.Core.User.html#base_parameters/0","title":"ArkeAuth.Core.User.base_parameters/0","type":"function"},{"doc":"","ref":"ArkeAuth.Core.User.html#before_create/2","title":"ArkeAuth.Core.User.before_create/2","type":"function"},{"doc":"","ref":"ArkeAuth.Core.User.html#before_delete/2","title":"ArkeAuth.Core.User.before_delete/2","type":"function"},{"doc":"","ref":"ArkeAuth.Core.User.html#before_load/2","title":"ArkeAuth.Core.User.before_load/2","type":"function"},{"doc":"","ref":"ArkeAuth.Core.User.html#before_struct_encode/2","title":"ArkeAuth.Core.User.before_struct_encode/2","type":"function"},{"doc":"","ref":"ArkeAuth.Core.User.html#before_update/2","title":"ArkeAuth.Core.User.before_update/2","type":"function"},{"doc":"","ref":"ArkeAuth.Core.User.html#before_validate/2","title":"ArkeAuth.Core.User.before_validate/2","type":"function"},{"doc":"Check if the given password is right","ref":"ArkeAuth.Core.User.html#check_password/2","title":"ArkeAuth.Core.User.check_password/2","type":"function"},{"doc":"- user => %Arke.Core.Unit{} => user struct\n  - pwd => string => password to check","ref":"ArkeAuth.Core.User.html#check_password/2-parameters","title":"Parameters - ArkeAuth.Core.User.check_password/2","type":"function"},{"doc":"{:ok, %Arke.Core.Unit{}}","ref":"ArkeAuth.Core.User.html#check_password/2-return","title":"Return - ArkeAuth.Core.User.check_password/2","type":"function"},{"doc":"","ref":"ArkeAuth.Core.User.html#groups_from_attr/0","title":"ArkeAuth.Core.User.groups_from_attr/0","type":"function"},{"doc":"","ref":"ArkeAuth.Core.User.html#import/1","title":"ArkeAuth.Core.User.import/1","type":"function"},{"doc":"","ref":"ArkeAuth.Core.User.html#on_create/2","title":"ArkeAuth.Core.User.on_create/2","type":"function"},{"doc":"","ref":"ArkeAuth.Core.User.html#on_delete/2","title":"ArkeAuth.Core.User.on_delete/2","type":"function"},{"doc":"","ref":"ArkeAuth.Core.User.html#on_load/2","title":"ArkeAuth.Core.User.on_load/2","type":"function"},{"doc":"","ref":"ArkeAuth.Core.User.html#on_struct_encode/4","title":"ArkeAuth.Core.User.on_struct_encode/4","type":"function"},{"doc":"","ref":"ArkeAuth.Core.User.html#on_update/3","title":"ArkeAuth.Core.User.on_update/3","type":"function"},{"doc":"","ref":"ArkeAuth.Core.User.html#on_validate/2","title":"ArkeAuth.Core.User.on_validate/2","type":"function"},{"doc":"Update the user password","ref":"ArkeAuth.Core.User.html#update_password/2","title":"ArkeAuth.Core.User.update_password/2","type":"function"},{"doc":"- user => %Arke.Core.Unit{} => user struct\n  - new_pwd => string => password to check","ref":"ArkeAuth.Core.User.html#update_password/2-parameters","title":"Parameters - ArkeAuth.Core.User.update_password/2","type":"function"},{"doc":"{:ok, %Arke.Core.Unit{}}","ref":"ArkeAuth.Core.User.html#update_password/2-return","title":"Return - ArkeAuth.Core.User.update_password/2","type":"function"},{"doc":"Guardian callbacks","ref":"ArkeAuth.Guardian.html","title":"ArkeAuth.Guardian","type":"module"},{"doc":"","ref":"ArkeAuth.Guardian.html#after_encode_and_sign/4","title":"ArkeAuth.Guardian.after_encode_and_sign/4","type":"function"},{"doc":"","ref":"ArkeAuth.Guardian.html#after_sign_in/5","title":"ArkeAuth.Guardian.after_sign_in/5","type":"function"},{"doc":"","ref":"ArkeAuth.Guardian.html#before_sign_out/3","title":"ArkeAuth.Guardian.before_sign_out/3","type":"function"},{"doc":"","ref":"ArkeAuth.Guardian.html#build_claims/3","title":"ArkeAuth.Guardian.build_claims/3","type":"function"},{"doc":"Fetches the configuration for this module.","ref":"ArkeAuth.Guardian.html#config/0","title":"ArkeAuth.Guardian.config/0","type":"function"},{"doc":"Returns a resolved value of the configuration found at a key.\n\nSee `Guardian.Config.resolve_value/1`.","ref":"ArkeAuth.Guardian.html#config/2","title":"ArkeAuth.Guardian.config/2","type":"function"},{"doc":"Decodes and verifies a token using the configuration on the implementation\nmodule.\n\nSee `Guardian.decode_and_verify/4`.","ref":"ArkeAuth.Guardian.html#decode_and_verify/3","title":"ArkeAuth.Guardian.decode_and_verify/3","type":"function"},{"doc":"The default type of token for this module.","ref":"ArkeAuth.Guardian.html#default_token_type/0","title":"ArkeAuth.Guardian.default_token_type/0","type":"function"},{"doc":"Encodes the claims.\n\nSee `Guardian.encode_and_sign/4` for more information.","ref":"ArkeAuth.Guardian.html#encode_and_sign/3","title":"ArkeAuth.Guardian.encode_and_sign/3","type":"function"},{"doc":"Exchanges a token of one type for another.\n\nSee `Guardian.exchange` for more information.","ref":"ArkeAuth.Guardian.html#exchange/4","title":"ArkeAuth.Guardian.exchange/4","type":"function"},{"doc":"","ref":"ArkeAuth.Guardian.html#on_exchange/3","title":"ArkeAuth.Guardian.on_exchange/3","type":"function"},{"doc":"","ref":"ArkeAuth.Guardian.html#on_refresh/3","title":"ArkeAuth.Guardian.on_refresh/3","type":"function"},{"doc":"","ref":"ArkeAuth.Guardian.html#on_revoke/3","title":"ArkeAuth.Guardian.on_revoke/3","type":"function"},{"doc":"","ref":"ArkeAuth.Guardian.html#on_verify/3","title":"ArkeAuth.Guardian.on_verify/3","type":"function"},{"doc":"Provides the content of the token but without verification\nof either the claims or the signature.\n\nClaims will be present at the `:claims` key.\n\nSee `Guardian.peek/2` for more information.","ref":"ArkeAuth.Guardian.html#peek/1","title":"ArkeAuth.Guardian.peek/1","type":"function"},{"doc":"Refresh a token.\n\nSee `Guardian.refresh` for more information.","ref":"ArkeAuth.Guardian.html#refresh/2","title":"ArkeAuth.Guardian.refresh/2","type":"function"},{"doc":"Get from the token the resource","ref":"ArkeAuth.Guardian.html#resource_from_claims/1","title":"ArkeAuth.Guardian.resource_from_claims/1","type":"function"},{"doc":"Fetch the resource and claims directly from a token.\n\nSee `Guardian.resource_from_token` for more information.","ref":"ArkeAuth.Guardian.html#resource_from_token/3","title":"ArkeAuth.Guardian.resource_from_token/3","type":"function"},{"doc":"Revoke a token.\n\nSee `Guardian.revoke` for more information.","ref":"ArkeAuth.Guardian.html#revoke/2","title":"ArkeAuth.Guardian.revoke/2","type":"function"},{"doc":"If Guardian.Plug.SlidingCookie is used, this callback will be invoked to\nreturn the new claims, or an error (which will mean the cookie will not\nbe refreshed).","ref":"ArkeAuth.Guardian.html#sliding_cookie/3","title":"ArkeAuth.Guardian.sliding_cookie/3","type":"function"},{"doc":"The resource used to generate the tokens","ref":"ArkeAuth.Guardian.html#subject_for_token/2","title":"ArkeAuth.Guardian.subject_for_token/2","type":"function"},{"doc":"","ref":"ArkeAuth.Guardian.html#verify_claims/2","title":"ArkeAuth.Guardian.verify_claims/2","type":"function"},{"doc":"Documentation for `ResetPasswordToken`.","ref":"ArkeAuth.ResetPasswordToken.html","title":"ArkeAuth.ResetPasswordToken","type":"module"},{"doc":"","ref":"ArkeAuth.ResetPasswordToken.html#after_get_struct/2","title":"ArkeAuth.ResetPasswordToken.after_get_struct/2","type":"function"},{"doc":"","ref":"ArkeAuth.ResetPasswordToken.html#after_get_struct/3","title":"ArkeAuth.ResetPasswordToken.after_get_struct/3","type":"function"},{"doc":"","ref":"ArkeAuth.ResetPasswordToken.html#arke_from_attr/0","title":"ArkeAuth.ResetPasswordToken.arke_from_attr/0","type":"function"},{"doc":"","ref":"ArkeAuth.ResetPasswordToken.html#base_parameters/0","title":"ArkeAuth.ResetPasswordToken.base_parameters/0","type":"function"},{"doc":"","ref":"ArkeAuth.ResetPasswordToken.html#before_create/2","title":"ArkeAuth.ResetPasswordToken.before_create/2","type":"function"},{"doc":"","ref":"ArkeAuth.ResetPasswordToken.html#before_delete/2","title":"ArkeAuth.ResetPasswordToken.before_delete/2","type":"function"},{"doc":"","ref":"ArkeAuth.ResetPasswordToken.html#before_load/2","title":"ArkeAuth.ResetPasswordToken.before_load/2","type":"function"},{"doc":"","ref":"ArkeAuth.ResetPasswordToken.html#before_struct_encode/2","title":"ArkeAuth.ResetPasswordToken.before_struct_encode/2","type":"function"},{"doc":"","ref":"ArkeAuth.ResetPasswordToken.html#before_update/2","title":"ArkeAuth.ResetPasswordToken.before_update/2","type":"function"},{"doc":"","ref":"ArkeAuth.ResetPasswordToken.html#before_validate/2","title":"ArkeAuth.ResetPasswordToken.before_validate/2","type":"function"},{"doc":"","ref":"ArkeAuth.ResetPasswordToken.html#groups_from_attr/0","title":"ArkeAuth.ResetPasswordToken.groups_from_attr/0","type":"function"},{"doc":"","ref":"ArkeAuth.ResetPasswordToken.html#import/1","title":"ArkeAuth.ResetPasswordToken.import/1","type":"function"},{"doc":"","ref":"ArkeAuth.ResetPasswordToken.html#on_create/2","title":"ArkeAuth.ResetPasswordToken.on_create/2","type":"function"},{"doc":"","ref":"ArkeAuth.ResetPasswordToken.html#on_delete/2","title":"ArkeAuth.ResetPasswordToken.on_delete/2","type":"function"},{"doc":"","ref":"ArkeAuth.ResetPasswordToken.html#on_load/2","title":"ArkeAuth.ResetPasswordToken.on_load/2","type":"function"},{"doc":"","ref":"ArkeAuth.ResetPasswordToken.html#on_struct_encode/4","title":"ArkeAuth.ResetPasswordToken.on_struct_encode/4","type":"function"},{"doc":"","ref":"ArkeAuth.ResetPasswordToken.html#on_update/3","title":"ArkeAuth.ResetPasswordToken.on_update/3","type":"function"},{"doc":"","ref":"ArkeAuth.ResetPasswordToken.html#on_validate/2","title":"ArkeAuth.ResetPasswordToken.on_validate/2","type":"function"},{"doc":"Guardian callbacks valid in a SSO process","ref":"ArkeAuth.SSOGuardian.html","title":"ArkeAuth.SSOGuardian","type":"module"},{"doc":"","ref":"ArkeAuth.SSOGuardian.html#after_encode_and_sign/4","title":"ArkeAuth.SSOGuardian.after_encode_and_sign/4","type":"function"},{"doc":"","ref":"ArkeAuth.SSOGuardian.html#after_sign_in/5","title":"ArkeAuth.SSOGuardian.after_sign_in/5","type":"function"},{"doc":"","ref":"ArkeAuth.SSOGuardian.html#before_sign_out/3","title":"ArkeAuth.SSOGuardian.before_sign_out/3","type":"function"},{"doc":"","ref":"ArkeAuth.SSOGuardian.html#build_claims/3","title":"ArkeAuth.SSOGuardian.build_claims/3","type":"function"},{"doc":"Fetches the configuration for this module.","ref":"ArkeAuth.SSOGuardian.html#config/0","title":"ArkeAuth.SSOGuardian.config/0","type":"function"},{"doc":"Returns a resolved value of the configuration found at a key.\n\nSee `Guardian.Config.resolve_value/1`.","ref":"ArkeAuth.SSOGuardian.html#config/2","title":"ArkeAuth.SSOGuardian.config/2","type":"function"},{"doc":"Decodes and verifies a token using the configuration on the implementation\nmodule.\n\nSee `Guardian.decode_and_verify/4`.","ref":"ArkeAuth.SSOGuardian.html#decode_and_verify/3","title":"ArkeAuth.SSOGuardian.decode_and_verify/3","type":"function"},{"doc":"The default type of token for this module.","ref":"ArkeAuth.SSOGuardian.html#default_token_type/0","title":"ArkeAuth.SSOGuardian.default_token_type/0","type":"function"},{"doc":"Encodes the claims.\n\nSee `Guardian.encode_and_sign/4` for more information.","ref":"ArkeAuth.SSOGuardian.html#encode_and_sign/3","title":"ArkeAuth.SSOGuardian.encode_and_sign/3","type":"function"},{"doc":"Exchanges a token of one type for another.\n\nSee `Guardian.exchange` for more information.","ref":"ArkeAuth.SSOGuardian.html#exchange/4","title":"ArkeAuth.SSOGuardian.exchange/4","type":"function"},{"doc":"","ref":"ArkeAuth.SSOGuardian.html#on_exchange/3","title":"ArkeAuth.SSOGuardian.on_exchange/3","type":"function"},{"doc":"","ref":"ArkeAuth.SSOGuardian.html#on_refresh/3","title":"ArkeAuth.SSOGuardian.on_refresh/3","type":"function"},{"doc":"","ref":"ArkeAuth.SSOGuardian.html#on_revoke/3","title":"ArkeAuth.SSOGuardian.on_revoke/3","type":"function"},{"doc":"","ref":"ArkeAuth.SSOGuardian.html#on_verify/3","title":"ArkeAuth.SSOGuardian.on_verify/3","type":"function"},{"doc":"Provides the content of the token but without verification\nof either the claims or the signature.\n\nClaims will be present at the `:claims` key.\n\nSee `Guardian.peek/2` for more information.","ref":"ArkeAuth.SSOGuardian.html#peek/1","title":"ArkeAuth.SSOGuardian.peek/1","type":"function"},{"doc":"Refresh a token.\n\nSee `Guardian.refresh` for more information.","ref":"ArkeAuth.SSOGuardian.html#refresh/2","title":"ArkeAuth.SSOGuardian.refresh/2","type":"function"},{"doc":"Get from the token the resource","ref":"ArkeAuth.SSOGuardian.html#resource_from_claims/1","title":"ArkeAuth.SSOGuardian.resource_from_claims/1","type":"function"},{"doc":"Fetch the resource and claims directly from a token.\n\nSee `Guardian.resource_from_token` for more information.","ref":"ArkeAuth.SSOGuardian.html#resource_from_token/3","title":"ArkeAuth.SSOGuardian.resource_from_token/3","type":"function"},{"doc":"Revoke a token.\n\nSee `Guardian.revoke` for more information.","ref":"ArkeAuth.SSOGuardian.html#revoke/2","title":"ArkeAuth.SSOGuardian.revoke/2","type":"function"},{"doc":"If Guardian.Plug.SlidingCookie is used, this callback will be invoked to\nreturn the new claims, or an error (which will mean the cookie will not\nbe refreshed).","ref":"ArkeAuth.SSOGuardian.html#sliding_cookie/3","title":"ArkeAuth.SSOGuardian.sliding_cookie/3","type":"function"},{"doc":"The resource used to generate the tokens","ref":"ArkeAuth.SSOGuardian.html#subject_for_token/2","title":"ArkeAuth.SSOGuardian.subject_for_token/2","type":"function"},{"doc":"","ref":"ArkeAuth.SSOGuardian.html#verify_claims/2","title":"ArkeAuth.SSOGuardian.verify_claims/2","type":"function"},{"doc":"","ref":"ArkeAuth.Utils.Permission.html","title":"ArkeAuth.Utils.Permission","type":"module"},{"doc":"","ref":"ArkeAuth.Utils.Permission.html#get_member_permission/2","title":"ArkeAuth.Utils.Permission.get_member_permission/2","type":"function"},{"doc":"","ref":"ArkeAuth.Utils.Permission.html#get_member_permission/3","title":"ArkeAuth.Utils.Permission.get_member_permission/3","type":"function"},{"doc":"","ref":"ArkeAuth.Utils.Permission.html#get_public_permission/1","title":"ArkeAuth.Utils.Permission.get_public_permission/1","type":"function"},{"doc":"","ref":"ArkeAuth.Utils.Permission.html#get_public_permission/2","title":"ArkeAuth.Utils.Permission.get_public_permission/2","type":"function"}],"producer":{"name":"ex_doc","version":[48,46,51,50,46,49]}}